explain_lutimes_or_die(3)

NAME
explain_lutimes_or_die - modify file timestamps and report errors

SYNOPSIS
#include <libexplain/lutimes.h>

void explain_lutimes_or_die(const char *pathname, const struct timeval *data);
int explain_lutimes_on_error(const char *pathname, const struct timeval *data);

DESCRIPTION
The explain_lutimes_or_die function is used to call the lutimes(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_lutimes(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_lutimes_on_error function is used to call the lutimes(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_lutimes(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the lutimes(3) system call.

data
    The data, exactly as to be passed to the lutimes(3) system call.

RETURN VALUE
The explain_lutimes_or_die function only returns on success, see lutimes(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_lutimes_on_error function always returns the value return by the wrapped lutimes(3) system call.

EXAMPLE
The explain_lutimes_or_die function is intended to be used in a fashion similar to the following example:
    explain_lutimes_or_die(pathname, data);

SEE ALSO

lutimes(3)
    modify file timestamps

explain_lutimes(3)
    explain lutimes(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller